Changeset 567


Ignore:
Timestamp:
Mar 6, 2007 11:42:12 AM (13 years ago)
Author:
andreasw
Message:

enable configuration (libtool check issue) for cross compilation

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r527 r567  
    51065106
    51075107
    5108 unset ac_cv_file__________libtool
    5109 unset ac_cv_file_______libtool
    5110 unset ac_cv_file____libtool
    5111 
    51125108LIBTOOL=
    5113 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5114 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5115 if test "${ac_cv_file____libtool+set}" = set; then
    5116   echo $ECHO_N "(cached) $ECHO_C" >&6
    5117 else
    5118   test "$cross_compiling" = yes &&
    5119   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5120 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5121    { (exit 1); exit 1; }; }
    5122 if test -r "../libtool"; then
    5123   ac_cv_file____libtool=yes
    5124 else
    5125   ac_cv_file____libtool=no
    5126 fi
    5127 fi
    5128 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5129 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5130 if test $ac_cv_file____libtool = yes; then
     5109if test -r ../libtool; then
    51315110  coin_config_dir=..
    5132                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5133 fi
    5134 
     5111  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5112fi
    51355113if test "x$LIBTOOL" = x; then
    5136   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5137 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5138 if test "${ac_cv_file_______libtool+set}" = set; then
    5139   echo $ECHO_N "(cached) $ECHO_C" >&6
    5140 else
    5141   test "$cross_compiling" = yes &&
    5142   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5143 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5144    { (exit 1); exit 1; }; }
    5145 if test -r "../../libtool"; then
    5146   ac_cv_file_______libtool=yes
    5147 else
    5148   ac_cv_file_______libtool=no
    5149 fi
    5150 fi
    5151 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5152 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5153 if test $ac_cv_file_______libtool = yes; then
    5154   coin_config_dir=../..
    5155                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5156 fi
    5157 
    5158 fi
    5159 # if test "x$LIBTOOL" = x; then
    5160 #   AC_CHECK_FILE([../../../libtool],
    5161 #                 [coin_config_dir=../../..
    5162 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5163 # fi
     5114  if test -r ../../libtool; then
     5115    coin_config_dir=../..
     5116    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5117  fi
     5118fi
    51645119
    51655120if test "x$LIBTOOL" = x; then
     
    57145669*-*-irix6*)
    57155670  # Find out which ABI we are using.
    5716   echo '#line 5716 "configure"' > conftest.$ac_ext
     5671  echo '#line 5671 "configure"' > conftest.$ac_ext
    57175672  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    57185673  (eval $ac_compile) 2>&5
     
    68486803
    68496804# Provide some information about the compiler.
    6850 echo "$as_me:6850:" \
     6805echo "$as_me:6805:" \
    68516806     "checking for Fortran 77 compiler version" >&5
    68526807ac_compiler=`set X $ac_compile; echo $2`
     
    79157870   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79167871   -e 's:$: $lt_compiler_flag:'`
    7917    (eval echo "\"\$as_me:7917: $lt_compile\"" >&5)
     7872   (eval echo "\"\$as_me:7872: $lt_compile\"" >&5)
    79187873   (eval "$lt_compile" 2>conftest.err)
    79197874   ac_status=$?
    79207875   cat conftest.err >&5
    7921    echo "$as_me:7921: \$? = $ac_status" >&5
     7876   echo "$as_me:7876: \$? = $ac_status" >&5
    79227877   if (exit $ac_status) && test -s "$ac_outfile"; then
    79237878     # The compiler can only warn and ignore the option if not recognized
     
    81838138   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81848139   -e 's:$: $lt_compiler_flag:'`
    8185    (eval echo "\"\$as_me:8185: $lt_compile\"" >&5)
     8140   (eval echo "\"\$as_me:8140: $lt_compile\"" >&5)
    81868141   (eval "$lt_compile" 2>conftest.err)
    81878142   ac_status=$?
    81888143   cat conftest.err >&5
    8189    echo "$as_me:8189: \$? = $ac_status" >&5
     8144   echo "$as_me:8144: \$? = $ac_status" >&5
    81908145   if (exit $ac_status) && test -s "$ac_outfile"; then
    81918146     # The compiler can only warn and ignore the option if not recognized
     
    82878242   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82888243   -e 's:$: $lt_compiler_flag:'`
    8289    (eval echo "\"\$as_me:8289: $lt_compile\"" >&5)
     8244   (eval echo "\"\$as_me:8244: $lt_compile\"" >&5)
    82908245   (eval "$lt_compile" 2>out/conftest.err)
    82918246   ac_status=$?
    82928247   cat out/conftest.err >&5
    8293    echo "$as_me:8293: \$? = $ac_status" >&5
     8248   echo "$as_me:8248: \$? = $ac_status" >&5
    82948249   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82958250   then
     
    1063210587  lt_status=$lt_dlunknown
    1063310588  cat > conftest.$ac_ext <<EOF
    10634 #line 10634 "configure"
     10589#line 10589 "configure"
    1063510590#include "confdefs.h"
    1063610591
     
    1073210687  lt_status=$lt_dlunknown
    1073310688  cat > conftest.$ac_ext <<EOF
    10734 #line 10734 "configure"
     10689#line 10689 "configure"
    1073510690#include "confdefs.h"
    1073610691
     
    1307613031   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1307713032   -e 's:$: $lt_compiler_flag:'`
    13078    (eval echo "\"\$as_me:13078: $lt_compile\"" >&5)
     13033   (eval echo "\"\$as_me:13033: $lt_compile\"" >&5)
    1307913034   (eval "$lt_compile" 2>conftest.err)
    1308013035   ac_status=$?
    1308113036   cat conftest.err >&5
    13082    echo "$as_me:13082: \$? = $ac_status" >&5
     13037   echo "$as_me:13037: \$? = $ac_status" >&5
    1308313038   if (exit $ac_status) && test -s "$ac_outfile"; then
    1308413039     # The compiler can only warn and ignore the option if not recognized
     
    1318013135   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1318113136   -e 's:$: $lt_compiler_flag:'`
    13182    (eval echo "\"\$as_me:13182: $lt_compile\"" >&5)
     13137   (eval echo "\"\$as_me:13137: $lt_compile\"" >&5)
    1318313138   (eval "$lt_compile" 2>out/conftest.err)
    1318413139   ac_status=$?
    1318513140   cat out/conftest.err >&5
    13186    echo "$as_me:13186: \$? = $ac_status" >&5
     13141   echo "$as_me:13141: \$? = $ac_status" >&5
    1318713142   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1318813143   then
     
    1475014705   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1475114706   -e 's:$: $lt_compiler_flag:'`
    14752    (eval echo "\"\$as_me:14752: $lt_compile\"" >&5)
     14707   (eval echo "\"\$as_me:14707: $lt_compile\"" >&5)
    1475314708   (eval "$lt_compile" 2>conftest.err)
    1475414709   ac_status=$?
    1475514710   cat conftest.err >&5
    14756    echo "$as_me:14756: \$? = $ac_status" >&5
     14711   echo "$as_me:14711: \$? = $ac_status" >&5
    1475714712   if (exit $ac_status) && test -s "$ac_outfile"; then
    1475814713     # The compiler can only warn and ignore the option if not recognized
     
    1485414809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1485514810   -e 's:$: $lt_compiler_flag:'`
    14856    (eval echo "\"\$as_me:14856: $lt_compile\"" >&5)
     14811   (eval echo "\"\$as_me:14811: $lt_compile\"" >&5)
    1485714812   (eval "$lt_compile" 2>out/conftest.err)
    1485814813   ac_status=$?
    1485914814   cat out/conftest.err >&5
    14860    echo "$as_me:14860: \$? = $ac_status" >&5
     14815   echo "$as_me:14815: \$? = $ac_status" >&5
    1486114816   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1486214817   then
     
    1706117016   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1706217017   -e 's:$: $lt_compiler_flag:'`
    17063    (eval echo "\"\$as_me:17063: $lt_compile\"" >&5)
     17018   (eval echo "\"\$as_me:17018: $lt_compile\"" >&5)
    1706417019   (eval "$lt_compile" 2>conftest.err)
    1706517020   ac_status=$?
    1706617021   cat conftest.err >&5
    17067    echo "$as_me:17067: \$? = $ac_status" >&5
     17022   echo "$as_me:17022: \$? = $ac_status" >&5
    1706817023   if (exit $ac_status) && test -s "$ac_outfile"; then
    1706917024     # The compiler can only warn and ignore the option if not recognized
     
    1732917284   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1733017285   -e 's:$: $lt_compiler_flag:'`
    17331    (eval echo "\"\$as_me:17331: $lt_compile\"" >&5)
     17286   (eval echo "\"\$as_me:17286: $lt_compile\"" >&5)
    1733217287   (eval "$lt_compile" 2>conftest.err)
    1733317288   ac_status=$?
    1733417289   cat conftest.err >&5
    17335    echo "$as_me:17335: \$? = $ac_status" >&5
     17290   echo "$as_me:17290: \$? = $ac_status" >&5
    1733617291   if (exit $ac_status) && test -s "$ac_outfile"; then
    1733717292     # The compiler can only warn and ignore the option if not recognized
     
    1743317388   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1743417389   -e 's:$: $lt_compiler_flag:'`
    17435    (eval echo "\"\$as_me:17435: $lt_compile\"" >&5)
     17390   (eval echo "\"\$as_me:17390: $lt_compile\"" >&5)
    1743617391   (eval "$lt_compile" 2>out/conftest.err)
    1743717392   ac_status=$?
    1743817393   cat out/conftest.err >&5
    17439    echo "$as_me:17439: \$? = $ac_status" >&5
     17394   echo "$as_me:17394: \$? = $ac_status" >&5
    1744017395   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1744117396   then
  • trunk/configure

    r527 r567  
    57135713
    57145714
    5715 unset ac_cv_file__________libtool
    5716 unset ac_cv_file_______libtool
    5717 unset ac_cv_file____libtool
    5718 
    57195715LIBTOOL=
    5720 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5721 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5722 if test "${ac_cv_file____libtool+set}" = set; then
    5723   echo $ECHO_N "(cached) $ECHO_C" >&6
    5724 else
    5725   test "$cross_compiling" = yes &&
    5726   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5727 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5728    { (exit 1); exit 1; }; }
    5729 if test -r "../libtool"; then
    5730   ac_cv_file____libtool=yes
    5731 else
    5732   ac_cv_file____libtool=no
    5733 fi
    5734 fi
    5735 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5736 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5737 if test $ac_cv_file____libtool = yes; then
     5716if test -r ../libtool; then
    57385717  coin_config_dir=..
    5739                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5740 fi
    5741 
     5718  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5719fi
    57425720if test "x$LIBTOOL" = x; then
    5743   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5744 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5745 if test "${ac_cv_file_______libtool+set}" = set; then
    5746   echo $ECHO_N "(cached) $ECHO_C" >&6
    5747 else
    5748   test "$cross_compiling" = yes &&
    5749   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5750 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5751    { (exit 1); exit 1; }; }
    5752 if test -r "../../libtool"; then
    5753   ac_cv_file_______libtool=yes
    5754 else
    5755   ac_cv_file_______libtool=no
    5756 fi
    5757 fi
    5758 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5759 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5760 if test $ac_cv_file_______libtool = yes; then
    5761   coin_config_dir=../..
    5762                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5763 fi
    5764 
    5765 fi
    5766 # if test "x$LIBTOOL" = x; then
    5767 #   AC_CHECK_FILE([../../../libtool],
    5768 #                 [coin_config_dir=../../..
    5769 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5770 # fi
     5721  if test -r ../../libtool; then
     5722    coin_config_dir=../..
     5723    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5724  fi
     5725fi
    57715726
    57725727if test "x$LIBTOOL" = x; then
     
    63216276*-*-irix6*)
    63226277  # Find out which ABI we are using.
    6323   echo '#line 6323 "configure"' > conftest.$ac_ext
     6278  echo '#line 6278 "configure"' > conftest.$ac_ext
    63246279  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63256280  (eval $ac_compile) 2>&5
     
    82858240   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82868241   -e 's:$: $lt_compiler_flag:'`
    8287    (eval echo "\"\$as_me:8287: $lt_compile\"" >&5)
     8242   (eval echo "\"\$as_me:8242: $lt_compile\"" >&5)
    82888243   (eval "$lt_compile" 2>conftest.err)
    82898244   ac_status=$?
    82908245   cat conftest.err >&5
    8291    echo "$as_me:8291: \$? = $ac_status" >&5
     8246   echo "$as_me:8246: \$? = $ac_status" >&5
    82928247   if (exit $ac_status) && test -s "$ac_outfile"; then
    82938248     # The compiler can only warn and ignore the option if not recognized
     
    85538508   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85548509   -e 's:$: $lt_compiler_flag:'`
    8555    (eval echo "\"\$as_me:8555: $lt_compile\"" >&5)
     8510   (eval echo "\"\$as_me:8510: $lt_compile\"" >&5)
    85568511   (eval "$lt_compile" 2>conftest.err)
    85578512   ac_status=$?
    85588513   cat conftest.err >&5
    8559    echo "$as_me:8559: \$? = $ac_status" >&5
     8514   echo "$as_me:8514: \$? = $ac_status" >&5
    85608515   if (exit $ac_status) && test -s "$ac_outfile"; then
    85618516     # The compiler can only warn and ignore the option if not recognized
     
    86578612   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86588613   -e 's:$: $lt_compiler_flag:'`
    8659    (eval echo "\"\$as_me:8659: $lt_compile\"" >&5)
     8614   (eval echo "\"\$as_me:8614: $lt_compile\"" >&5)
    86608615   (eval "$lt_compile" 2>out/conftest.err)
    86618616   ac_status=$?
    86628617   cat out/conftest.err >&5
    8663    echo "$as_me:8663: \$? = $ac_status" >&5
     8618   echo "$as_me:8618: \$? = $ac_status" >&5
    86648619   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86658620   then
     
    1100210957  lt_status=$lt_dlunknown
    1100310958  cat > conftest.$ac_ext <<EOF
    11004 #line 11004 "configure"
     10959#line 10959 "configure"
    1100510960#include "confdefs.h"
    1100610961
     
    1110211057  lt_status=$lt_dlunknown
    1110311058  cat > conftest.$ac_ext <<EOF
    11104 #line 11104 "configure"
     11059#line 11059 "configure"
    1110511060#include "confdefs.h"
    1110611061
     
    1344613401   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1344713402   -e 's:$: $lt_compiler_flag:'`
    13448    (eval echo "\"\$as_me:13448: $lt_compile\"" >&5)
     13403   (eval echo "\"\$as_me:13403: $lt_compile\"" >&5)
    1344913404   (eval "$lt_compile" 2>conftest.err)
    1345013405   ac_status=$?
    1345113406   cat conftest.err >&5
    13452    echo "$as_me:13452: \$? = $ac_status" >&5
     13407   echo "$as_me:13407: \$? = $ac_status" >&5
    1345313408   if (exit $ac_status) && test -s "$ac_outfile"; then
    1345413409     # The compiler can only warn and ignore the option if not recognized
     
    1355013505   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1355113506   -e 's:$: $lt_compiler_flag:'`
    13552    (eval echo "\"\$as_me:13552: $lt_compile\"" >&5)
     13507   (eval echo "\"\$as_me:13507: $lt_compile\"" >&5)
    1355313508   (eval "$lt_compile" 2>out/conftest.err)
    1355413509   ac_status=$?
    1355513510   cat out/conftest.err >&5
    13556    echo "$as_me:13556: \$? = $ac_status" >&5
     13511   echo "$as_me:13511: \$? = $ac_status" >&5
    1355713512   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1355813513   then
     
    1512015075   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1512115076   -e 's:$: $lt_compiler_flag:'`
    15122    (eval echo "\"\$as_me:15122: $lt_compile\"" >&5)
     15077   (eval echo "\"\$as_me:15077: $lt_compile\"" >&5)
    1512315078   (eval "$lt_compile" 2>conftest.err)
    1512415079   ac_status=$?
    1512515080   cat conftest.err >&5
    15126    echo "$as_me:15126: \$? = $ac_status" >&5
     15081   echo "$as_me:15081: \$? = $ac_status" >&5
    1512715082   if (exit $ac_status) && test -s "$ac_outfile"; then
    1512815083     # The compiler can only warn and ignore the option if not recognized
     
    1522415179   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1522515180   -e 's:$: $lt_compiler_flag:'`
    15226    (eval echo "\"\$as_me:15226: $lt_compile\"" >&5)
     15181   (eval echo "\"\$as_me:15181: $lt_compile\"" >&5)
    1522715182   (eval "$lt_compile" 2>out/conftest.err)
    1522815183   ac_status=$?
    1522915184   cat out/conftest.err >&5
    15230    echo "$as_me:15230: \$? = $ac_status" >&5
     15185   echo "$as_me:15185: \$? = $ac_status" >&5
    1523115186   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1523215187   then
     
    1743117386   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1743217387   -e 's:$: $lt_compiler_flag:'`
    17433    (eval echo "\"\$as_me:17433: $lt_compile\"" >&5)
     17388   (eval echo "\"\$as_me:17388: $lt_compile\"" >&5)
    1743417389   (eval "$lt_compile" 2>conftest.err)
    1743517390   ac_status=$?
    1743617391   cat conftest.err >&5
    17437    echo "$as_me:17437: \$? = $ac_status" >&5
     17392   echo "$as_me:17392: \$? = $ac_status" >&5
    1743817393   if (exit $ac_status) && test -s "$ac_outfile"; then
    1743917394     # The compiler can only warn and ignore the option if not recognized
     
    1769917654   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1770017655   -e 's:$: $lt_compiler_flag:'`
    17701    (eval echo "\"\$as_me:17701: $lt_compile\"" >&5)
     17656   (eval echo "\"\$as_me:17656: $lt_compile\"" >&5)
    1770217657   (eval "$lt_compile" 2>conftest.err)
    1770317658   ac_status=$?
    1770417659   cat conftest.err >&5
    17705    echo "$as_me:17705: \$? = $ac_status" >&5
     17660   echo "$as_me:17660: \$? = $ac_status" >&5
    1770617661   if (exit $ac_status) && test -s "$ac_outfile"; then
    1770717662     # The compiler can only warn and ignore the option if not recognized
     
    1780317758   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1780417759   -e 's:$: $lt_compiler_flag:'`
    17805    (eval echo "\"\$as_me:17805: $lt_compile\"" >&5)
     17760   (eval echo "\"\$as_me:17760: $lt_compile\"" >&5)
    1780617761   (eval "$lt_compile" 2>out/conftest.err)
    1780717762   ac_status=$?
    1780817763   cat out/conftest.err >&5
    17809    echo "$as_me:17809: \$? = $ac_status" >&5
     17764   echo "$as_me:17764: \$? = $ac_status" >&5
    1781017765   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1781117766   then
Note: See TracChangeset for help on using the changeset viewer.